function tDFiltMPFIR (LogFile)

% $Id: tDFiltMPFIR.m,v 1.9 2009/07/07 14:44:50 pkabal Exp $

addpath('..');
addpath('../../DFiltFIR');

if (nargin == 0)
  LogFile = [];
end
StopDiaryFile = StartDiaryFile(LogFile, 'tDFiltMPFIR.ref');

[B(1:2).Freq]   = deal([0 3400], [4500 24000]);
[B(1:2).Value]  = deal(1, 0);
[B(1:2).Weight] = deal(1, 50);
SFreq = 48000;

NCofMP = 73;
hM = DFiltMPFIR(NCofMP, B, SFreq);
PrMatrix(hM');

figure;
freqz(hM, 1);

% ----- -----
SFreq = 16000;
NCofMP = 300;

[B(1:2).Freq]   = deal([0 3300 3950], [4050 8000]);
[B(1:2).Value]  = deal(0, 1);
[B(1:2).Weight] = deal([10000 100 10], 0.01);
hM = DFiltMPFIR(NCofMP, B, SFreq);
PrMatrix(hM');

figure;
freqz(hM, 1);

% ----------
StopDiaryFile();

return
